Inicio > Linux, Software > Instalar Compiz Fusion en Ubuntu 9.04

Instalar Compiz Fusion en Ubuntu 9.04

Hace un par de días veíamos un atractivo efecto de Windows 7 (incluido antes en Windows Vista), el famoso Flip 3D.

Este efecto puede resultar bastante llamativo, sobre todo para la gente que no conozca Compiz Fusion, un verdadero conjunto de efectos y animaciones que no deja a nadie indiferente.

Veamos como instalarlo en Ubuntu 9.04…

Lo primero que haremos es comprobar si nuestra tarjeta gráfica soporta aceleración gráfica, ya que de lo contrario no podríamos utilizarlo. Para esto escribiremos en un Terminal:
glxinfo | grep direct
Si nos responde direct rendering: Yes podremos seguir adelante…

De nuevo en el Terminal, escribimos:
sudo gedit /etc/apt/sources.list

Y en el editor gedit que se abre añadimos al final las siguientes líneas:
#Compiz Fusion - http://www.YaTocaba.info
deb http://ppa.launchpad.net/compiz/ubuntu jaunty main
deb-src http://ppa.launchpad.net/compiz/ubuntu jaunty main

Guardamos, cerramos y volvemos al Terminal para actualizar los repositorios con:
sudo apt-get update

Y por último, pasamos a instalar las aplicaciones necesarias:
sudo apt-get install compizconfig-settings-manager fusion-icon

Ya lo tenemos, fácil ¿no?

Para configurar los efectos tendremos que ir a “Aplicaciones” > “Herramientas del sistema” > “Compiz Fusion Icon”. Aparecerá entonces el icono de Compiz Fusion Icon junto al reloj (arriba a la derecha). Haremos click derecho sobre él y seleccionaremos “Settings Manager”, desde ahí podremos seleccionar y configurar los efectos.

   

Categorías:Linux, Software Etiquetas:
  1. LightSh4d0w
    07/06/2009 a las 20:21

    Hola, a ver si me puedes ayudar, cuando hago el “sudo apt-get update” me da un error, por qué puede ser?

  2. limbox
    10/06/2009 a las 21:14

    Que perron funsiona muy bien………. chido por el tutorial muy facil de entender

    • 11/06/2009 a las 22:23

      Gracias, me alegro de que te haya servido!

  3. Ramón
    12/06/2009 a las 07:14

    LightSh4d0w te indico que no hay que añadir una línea, para que no te de error.
    Y en el editor gedit que se abre añadimos al final las siguientes líneas:
    #Compiz Fusion – http://www.YaTocaba.info (no añadir esta linea)
    deb http://ppa.launchpad.net/compiz/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/compiz/ubuntu jaunty main

    Guardamos, cerramos y volvemos al Terminal para actualizar los repositorios con:

    sudo apt-get update

    • 12/06/2009 a las 08:23

      La almohadilla al comienzo de esa línea significa que es un comentario, por lo que esa línea no dará problemas.

      El error más común a la hora de actualizar los repositorios (teniendo bien la sintaxis, claro) es el de claves públicas. Probablemente fuese ese su problema🙂

  4. LightSh4d0w
    12/06/2009 a las 15:06

    Al fin consegui que se solucionase!! Tenias razon era por lo de las llavez publicas. Gracias!

  5. Alex Juan
    13/06/2009 a las 03:31

    Perdón por la ignorancia, es que soy nuevo en linux… No he podido hacer funcionar el compiz ya que me da error al tratar de actualizar los repositorios… ¿A qué se refieren con “las claves públicas?

    Este es el error que bota:

    “W: Error de GPG: http://ppa.launchpad.net jaunty Release Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 2ED6BB6042C24D89
    W: Tal vez quiera ejecutar ‘apt-get update’ para corregir estos problemas”

    Qué me aconsejan???

  6. Alex Juan
    13/06/2009 a las 14:19

    Ya loinsté y solucioné lo de las claves pero…. No lo he podido hacer funcar… Le configuré las opciones y todo peero nada de nada…

    Sugerencias…

    • 13/06/2009 a las 14:33

      Funciona mediante accesos directos desde el teclado (los cuales los puedes configurar a tu gusto). ¿Cómo lo pruebas?

  7. Alex Juan
    14/06/2009 a las 01:25

    Listo… Ya me funciona al pelo… Gracias y aprendiendo poco a poco de este maravilloso sistema…

    **********

  8. aram
    03/07/2009 a las 08:36

    soy nuevo en esto de ubuntu y pues al poner esto glxinfo | grep direct
    me aparese direct rendering: No (LIBGL_ALWAYS_INDIRECT set)
    k signifika y como lo puedo solucionar :S

    • 03/07/2009 a las 09:15

      Pues básicamente significa que tu tarjeta gráfica no soporta aceleración gráfica.
      Y el modo de solucionarlo sería comprando una tarjeta nueva :S

  9. erik
    06/07/2009 a las 05:13

    instale el compiz fusion, (de otra pagina pero pregunto aqui porque creo que saben de esto y yo soy muy nuevo) y desùes de instalarlo cuando veo youtube no se abre bien en el modo panatalla completa y antes de hacerlo se veia perfecto no se si sea por esto pero igual y me pueden ayudar.

    • 06/07/2009 a las 10:26

      En teoría no debería tener nada que ver, pero por si acaso, lo mejor que puedes hacer para comprobarlo es desactivar todos los efectos y probar de nuevo.

      Si tras esto sigues con el mismo problema, intenta actualizar la versión de Flash o los drivers de la gráfica.

  10. Luis Carlos -LCSISTEMA ByLOBO
    12/07/2009 a las 15:32

    OK AMIGO FUNCIONA BIEN PERO COMO HAGO PARA CONFIGURAR EL CUBO? TENDRAS ALGUN TUTORIAL?

    • 12/07/2009 a las 17:13

      Una vez que hayas llegado a “Settings Manager”, explicado en este mismo manual, tendrás que activar la opción “Cubo de escritorio”, dentro de la sección “Escritorio”.
      Después solo tendrás (si quieres) que configurar sus parámetros😉

  11. ronald
    25/07/2009 a las 03:19

    hola amigo ayudenme para activar el efecto de quemar ventanas es lo unico que me falta no se porque pero no me aparece el icono del avioncito animationsladd-on gracias espero su ayuda

  12. vane
    05/08/2009 a las 19:12

    hola! necesito ayuda! hace dias que trato de instalar el efecto 3D y no puedo. al poner glxinfo me sale:

    Error: couldn’t find RGB GLX visual or fbconfig

    Pero yo creo que mi tarjeta de video si soporta la aceleracion grafica por que lo ha hecho, antes de instalar el jaunty y logre hacer un dia con el jaunty, pero de ahi al reiniciar no logro volver a tenerlo! por favor si me puedes explicar esto! muchas gracias

    • 05/08/2009 a las 21:09

      Hola, como bien dices, no es un problema de que tu tarjeta no soporte aceleración gráfica.

      Échale un vistazo a esto ;):
      http://bugs.freedesktop.org/show_bug.cgi?id=15441

      • vane
        05/08/2009 a las 23:33

        jaja Hola! perdon que sea tan molestosa! pero ya lo revise! y no entiendo! aun no se que hacer, en esa pagina solo parecen reportar el problema pero aun no me dan una solucion :S o no la veo venir! jajaj
        Gracias!

  13. 06/08/2009 a las 22:19

    ¿Tu gráfica es Nvidia? ¿Has actualizado los drivers de esta o has hecho algún cambio en los drivers? ¿Qué distribución de Linux estás usando?

    • vane
      07/08/2009 a las 18:05

      si! estoy en el 9.04 con nvidia y le instale el envyNG pero al poner envyng -t me da opciones, y no se cual tarjeta de video es la mas compatible con la mia. puse 1 – 1, pero aunque trato con otras opciones se abre en low graphics mode! obviamente todo se abre gigante y horrible y bueno no se si ahi esta mi error o en donde. y es que la verdad aunque me gusta meterme en esto, no tengo ni idea de que estoy haciendo!

  14. vane
    08/08/2009 a las 22:16

    al hacer envyng -t me sale:

    | EnvyNG Menu
    | 1 – Install the NVIDIA driver
    | 2 – Uninstall the NVIDIA driver
    | 3 – Install the ATI driver
    | 4 – Uninstall the ATI driver
    | 5 – Restart the Xserver
    | 6 – Restart your computer

    en la opcion tres no me sale nada compatible aparentemente , y en la 1 escogi la de 180.44 (recomendada) por que los datos de mi nvida son:

    Operating System: Linux-x86_64
    NVIDIA Driver Version: 180.44

    pero cuando hize eso, ocurrio que se reinicio en low graphics mode, y bueno no se cual escoger.

    • 09/08/2009 a las 12:15

      Pero esos datos te los muestra pq el driver ya está instalado, no?

      Indícanos por favor el modelo de tu gráfica y todas las opciones que te muestra tras elegir “1 – Install the NVIDIA driver”

    • vane
      09/08/2009 a las 20:17

      claro! se supone que ya esta instalada! hasta donde yo entiendo! lo que me sale:

      | Number | Candidate Version | Installed Version | Compatible | Recommended |
      |—————————————————————————-|
      | 0 | 180.44-0ubuntu1 | 180.44-0ubuntu1 | + | +
      | 1 | 173.14.16-0ubuntu1 | – | + | – |
      | 2 | 96.43.10-0ubuntu1 | – | – | – |
      | 3 | 71.86.08-0ubuntu1 | – | – | –

      pero si escojo la opcion 0, ocurre lo que dije, que se malogra y entre a nvidia en esa forma y parece que se desintala por que ya no me da los datos. pero bueno lo que ahora tengo de envidia es:

      VGA compatible controller: nVidia Corporation GeForce 7150M (rev a2)

      creo que eso es lo que necesitas, no estoy segura, que yo ando media perdida con eso.
      Muchas Gracias por todo!! en serio!

      • 10/08/2009 a las 00:48

        ¿Probaste a instalar el driver de la opción “1”?

  15. vane
    10/08/2009 a las 23:06

    probe con la opcion 0 y tambein con la 1, aunque la 1 fue mas problematica al final resulto en lo mismo de abrirse en low graphics mode, y no se soluciono el problema de glxinfo
    (Error: couldn’t find RGB GLX visual or fbconfig
    Error: couldn’t get an RGB, Double-buffered visual)

    que puedo hacer?

  16. Luis
    28/08/2009 a las 08:51

    ya instale todo sin problemas pero no puedo desplegar el cubo no aparece todas las demas opciones de compiz aparecen sin problema alguien sabe en que podria estar mal

  17. Arturo
    20/09/2009 a las 08:04

    hola!, he intentado installar compiz fusion ya varias veces, me sale todo mal, intente con varios manuales (aun no con este), tengo Ubuntu jaunty 64 bits, AMD Athlon 64 x2, ATI Radeon HD3200, deseenme suerte y espero no haber llegado tarde como para que este foro no este abandonado.

    • 21/09/2009 a las 12:27

      Hola Arturo, prueba por favor siguiendo los pasos que indicamos en este post.

      Si mientras lo instalas (siguiendo esta guía) obtienes algún mensaje de error, copialo para poder ponerlo en un comentario y que así te podamos ayudar mejor.

      Ya nos comentarás como te ha ido!

  18. Arturo
    25/09/2009 a las 03:35

    Hola y gracias por tu atencion, perdon por la tardanza, pero aquì en Honduras hay problemas para conectarse(despues del golpe de estado), y tengo mis propios problemas para hacerlo, bueno: cuando intento instalar el controlador grafico, al reiniciar, la pantalla se tiñe de negro.
    logre una vez instalarla e instalar compiz, pero hoy presté mi computadora y cuando me la devolvieron y la encendí volvió a aparecer el error.

  19. Arturo
    25/09/2009 a las 03:44

    me gustaria comentar que la aplicacion “Controladores de hardware” para los driver privativos es mas confiable qque cualquier linea que puedan ingresar en la terminal, asi fue la unica forma en la que pude instalar compiz

  20. condepadawan
    18/11/2009 a las 07:40

    muchisimas gracias. las instrucciones son muy simples y claras, me estoy iniciando en ubuntu y queria mejorar la interaccion grafica.

    muchas gracias!

  1. 23/06/2009 a las 21:58

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: